#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "QDebug"
//#include "device.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    connect(ui->pushButton_connect, SIGNAL(clicked(bool)), this, SLOT(on_click_connect(bool)));

}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_click_connect(bool value)
{
    qDebug() << value;
    discoveryAgent = new QBluetoothDeviceDiscoveryAgent();
    connect(discoveryAgent, SIGNAL(deviceDiscovered(const QBluetoothDeviceInfo&)),
            this, SLOT(addDevice(const QBluetoothDeviceInfo&)));
    connect(discoveryAgent, SIGNAL(error(QBluetoothDeviceDiscoveryAgent::Error)),
            this, SLOT(deviceScanError(QBluetoothDeviceDiscoveryAgent::Error)));
    connect(discoveryAgent, SIGNAL(finished()), this, SLOT(deviceScanFinished()));

   qDebug() <<"Scanning for devices ...)";
    discoveryAgent->start();

    if (discoveryAgent->isActive())
    {
        //m_deviceScanState = true;
        //Q_EMIT stateChanged();
        qDebug() << "active success";
    }
    else
    {
         qDebug() << "active fail";
    }
}

void MainWindow::addDevice(const QBluetoothDeviceInfo &info)
{
    if (info.coreConfigurations() & QBluetoothDeviceInfo::LowEnergyCoreConfiguration) {
        DeviceInfo *d = new DeviceInfo(info);
        //devices.append(d);
        qDebug() << "Last device added: " + d->getName();
    }
}

void MainWindow::deviceScanFinished()
{
    //emit devicesUpdated();
    //m_deviceScanState = false;
   // emit stateChanged();
    //if (devices.isEmpty())
    //    qDebug() << "No Low Energy devices found...");
    //else
        qDebug() << "Done! Scan Again!";
}


void MainWindow::deviceScanError(QBluetoothDeviceDiscoveryAgent::Error error)
{
     qDebug() << "ERROR = " << error;
    if (error == QBluetoothDeviceDiscoveryAgent::PoweredOffError)
        qDebug() <<"The Bluetooth adaptor is powered off, power it on before doing discovery.";
    else if (error == QBluetoothDeviceDiscoveryAgent::InputOutputError)
       qDebug() <<"Writing or reading from the device resulted in an error.";
    else
       qDebug() <<"An unknown error has occurred.";

    //m_deviceScanState = false;
    //emit devicesUpdated();
    //emit stateChanged();
}
